# Notice

This is a Community-supported project.

If you are interested in becoming a maintainer of this project, please contact us at integrations@globee.com. Developers at GloBee will attempt to work along the new maintainers to ensure the project remains viable for the foreseeable future.

# Description

Bitcoin payment plugin for [WordPress eCommerce](https://wordpress.org/plugins/wp-e-commerce/) using the globee.com service.


## Quick Start Guide

To get up and running with our plugin quickly, see the GUIDE here: https://github.com/GloBee-Official/wordpress-ecommerce-plugin/blob/master/GUIDE.md


![Build Status](https://travis-ci.org/aleitner/wordpress-ecommerce-plugin-v2.svg?branch=master)


## Support

**GloBee Support:**

* Last Cart Version Tested: Wordpress 4.0 WP e-commerce 3.8.14.3
* [GitHub Issues](https://github.com/GloBee-Official/wordpress-ecommerce-plugin/issues)
  * Open an issue if you are having issues with this plugin.
* [Support](https://help.globee.com)
  * GloBee merchant support documentation

**WP eCommerce Support:**

* [Homepage](https://wpecommerce.org/)
* [Documentation](http://docs.wpecommerce.org/)
* [Support Forums](https://wordpress.org/support/plugin/wp-e-commerce)

## Troubleshooting

The latest version of this plugin can always be downloaded from the official GloBee repository located here: https://github.com/GloBee-Official/wordpress-ecommerce-plugin

* This plugin requires PHP 5.4 or higher to function correctly. Contact your webhosting provider or server administrator if you are unsure which version is installed on your web server.
* Ensure a valid SSL certificate is installed on your server. Also ensure your root CA cert is updated. If your CA cert is not current, you will see curl SSL verification errors.
* Verify that your web server is not blocking POSTs from servers it may not recognize. Double check this on your firewall as well, if one is being used.
* Check the system error log file (usually the web server error log) for any errors during GloBee payment attempts. If you contact GloBee support, they will ask to see the log file to help diagnose the problem.
* Check the version of this plugin against the official plugin repository to ensure you are using the latest version. Your issue might have been addressed in a newer version!

**NOTE:** When contacting support it will help us if you provide:

* Wordpress Version
* WP eCommerce Version
* PHP Version
* Other plugins you have installed

## Contribute

Would you like to help with this project?  Great!  You don't have to be a developer, either.  If you've found a bug or have an idea for an improvement, please open an [issue](https://github.com/GloBee-Official/wordpress-ecommerce-plugin/issues) and tell us about it.

If you *are* a developer wanting contribute an enhancement, bugfix or other patch to this project, please fork this repository and submit a pull request detailing your changes.  We review all PRs!

This open source project is released under the [MIT license](http://opensource.org/licenses/MIT) which means if you would like to use this project's code in your own project you are free to do so.  Speaking of, if you have used our code in a cool new project we would like to hear about it!  Please send us an [email](mailto:integrations@globee.com).

## License

Please refer to the [LICENSE](https://github.com/GloBee-Official/wordpress-ecommerce-plugin/blob/master/LICENSE) file that came with this project.
